こんなアプリ要らねえ!Presice Puppy 5.7.1編

5.X系に関する開発話題です

モデレータ: 暇人, YoN, nyu

こんなアプリ要らねえ!Presice Puppy 5.7.1編

投稿記事by シノバー » 13/11/12(火) 20:48

Presice Puppy 5.7.1 日本語版へ向けて、収録アプリの整理。
本体から外すべきアプリとともに、ぜひとも追加したいもの、アップデートしておきたいものも議論しましょう。
また、取捨選択の基準そのものも議論しなければいけないかもしれません。

基本的に 550JPにあったものは、できる限り存続。動かないアプリは外す。
「公式」リリースすると注目され、試しに動かしてみるということも増えるでしょう。このとき、ひととおりのアプリは揃っていて欲しいし、メニューにあるアプリが動かないのも困ります。過不足ないメニューを目指したいものです。

Lupu-528JPに向けては「こんなアプリ要らねえ!lupu編」で議論がされました。
Precise Puppy 550JPのさいには、推奨でないアプリは「その他のプログラム」に押し込めることとしました。

ほぼ決まり:
1. 内蔵ブラウザは opera。seamonkeyとflashplayerは本体から外してオプションとし、CDにも同梱しない。
2. abiword, gnumeric, inkspcape は本体には含めず追加SFSとしてライブCDに同梱。できれば最初からマウントされていて、後から外したり入れ替えることができるようにする。
3. コンソール上のテキストエディタは nano-2.2.6-ja を基本とする。e3は日本語が通るものに差し替え「その他のプログラム」とする。以上は 550JPと同じ。MPは日本語が通らないみたいで、このさい外します?

外すべきでしょう:
Fontwizard - 近年普通の液晶ディスプレイに対応するべく.font.configを設定するというもの。これで得られるものは日本語版では標準で /etc/fonts/local.conf で設定済み。逆に Fontwizardを実行すると、日本語フォントの太字や斜字体が表示されなくなる。
最後に編集したユーザー シノバー [ 13/11/12(火) 22:27 ], 累計 2 回
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

Re: こんなアプリ要らねえ!Presice Puppy 5.7.1編

投稿記事by cygnus_odile » 13/11/12(火) 21:27

すぐには思いつきませんが、
550JP に引き続き、コンソール用のテキストエディタ Gnu nano-2.2.6-ja を入れてくださるなら、
その他の日本語の通らないテキストエディタ mp とか e3 はなくてもよいです。

GUI エディタは二つ、 geany と leafpad が入っていますが、どちらも残したほうが良いかも。
cygnus_odile
 
記事: 665
登録日時: 09/08/16(日) 14:30

pMusic

投稿記事by シノバー » 13/11/12(火) 22:20

「precise-571JP 向け翻訳作業、ドキュメントの整備」 のほうで cygnus_odile さんが気にしていらっしゃいます。 Precise Puppy 5.5でバージョン 3.2.3、550JPが 3.3.0 であったものを、本家版 5.7.1 では pMusic -2.6.7 となっています。pMusic-3.3.0 で不都合があったのかどうか、ご存じの方はお知らせください。

なお、 本家フォーラムで rarwin さんが準備中の Lucid Puppy 5.2.8.6 で pMusic 4.2.0 が採用される見込みが高いです。
私自身は pMusic も、これに類するアプリ( iTune とか?)も馴染みが薄いので、詳しい方コメントください。
最後に編集したユーザー シノバー [ 13/11/18(月) 09:44 ], 累計 1 回
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

マルチメディア

投稿記事by シノバー » 13/11/13(水) 18:51

1.音楽CDリッパ
pcdripper は、550JPでも「その他のプログラム」行きとなりました。 精査していないけど、むしろ「外すべきでしょう」。Asunderで間に合います。
Asunderは pCD(pMusic)から起動できるので、メニューから外すこともできます。
pCD 自身も pMusicから呼ばれるので、pCDのメニューは無くし、「CD player/ripper (Pmusic)」にメニューを一本化できます。

ところで、日本語タイトル名のCDでは、pCDだと「???」表示になります。asunderでは正しく日本語が表示されます。pCDが使っている cdda2wav が日本語対応していないようなので、しかたないか。

2. Pmetatagger
何をするものか、私は知らないけど、pMusicにその機能はあるはず。詳しい方コメントお願いします。

3. pAVrecord
precordの旧バージョン?「外すべきでしょう」。
追記: じゃなくって precordは音声のみで、 pAVrecordは画面もキャプチャするらしい?(最新は v.0.9.2)
音声の録再生機能は mhWaveEdit で、画面も含めたキャプチャは ffconvert でもできるので、どちらも要らないんじゃない?とも思う。コマンドラインから動くことが唯一のメリット?

4.Pdvdrsab
よく分からないです。DVDリッピングは FFConvertにその機能がありますし、DVDを焼くことは pMusicでできます。
ただし pMusicではDVDのメニューが作成できません。Pdvdrsabでも自身ではできず、別に何らかの方法でメニューを作成しないといけないようです…。

5.PupRadio
BBCが聴けない。日本の放送を聴くには?
最後に編集したユーザー シノバー [ 13/11/14(木) 18:07 ], 累計 5 回
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

BBC Radio 1, NHK-FM, R1, R2 for PupRadio !

投稿記事by cygnus_odile » 13/11/13(水) 22:31

シノバー さんが書きました:5.PupRadio
BBCが聴けない。日本の放送を聴くには?


BBC Radio 1
コード: 全て選択
mms://wmlive.bbc.net.uk/wms/bbc_ami/radio1/radio1_bb_live_int_eq1_sw0

URL 欄に(↑)これを入れると、聴けました。 ご参考まで。
日本のラジオ(NHK-FM, R1)とか聴けたら良いのですが。

追伸: NHK-FM 聴けました(↓)
コード: 全て選択
mms://a52.l12993346051.c129933.g.lm.akamaistream.net/D/52/129933/v0001/reflector:46051


さらに、 NHK-R1
コード: 全て選択
mms://a52.l12993146037.c129931.g.lm.akamaistream.net/D/52/129931/v0001/reflector:46037


NHK-R2
コード: 全て選択
mms://a52.l12993246056.c129932.g.lm.akamaistream.net/D/52/129932/v0001/reflector:46056


 
cygnus_odile
 
記事: 665
登録日時: 09/08/16(日) 14:30

Re: こんなアプリ要らねえ!Presice Puppy 5.7.1編

投稿記事by Toku » 13/11/14(木) 03:35

本家フォーラムにxbmc-12.2_frodo_sfs4.sfsがありますがsfsロードで読み込んで動くようにするのはどうでしょう?
ラジオ関係等々の各種アドオンがあるので用途によってアドオンを選択すればいいだけですし.アドオンによっては日本のラジオも幾つか表示されてました

日本語化されてるisoで動いたのはUpup Raring 3.9.9.2日本語版だけでしたが日本語表記にするのも簡単だしLupu-528にはXBMC 11 Eden が動きそうです(未確認)

ラジオ以外のアドオンも多数あり全部を確認した訳ではないですがマルチメディアとして結構使えそうです

アドオンの確認は普段使っているxbmcが最初から組み込んである視覚障害者用に作られたETPさんのObedient Pup-V3(5.6.1)で行いました
Toku
 
記事: 158
登録日時: 10/06/24(木) 14:22

インターネット

投稿記事by シノバー » 13/11/14(木) 09:26

1. SSH
重複。550JPではSSH GUIを採用し、Secure-ssh-telnetを「その他」へ
2.メール
Seamonkeyが無いので、Operaを defaultmailに。
3.チャット
Pidginが defaultchatとなっているが、Operaにもチャット機能はあるはず。
4.ダウンローダ
gFTP を別格としても、Pwsget, PMirrorget、Uget と、いろいろあるねえ。微妙に機能は違うようだけど…。
Axelって、何なん?
5.Torrent
PcTorrent と Transmission の機能は重複?
6 IP電話
Puppy Phone は使える?
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

pAVrecord

投稿記事by シノバー » 13/11/14(木) 18:14

precordは音声のみの録音再生で、 pAVrecordは画面もキャプチャするものらしい?(最新は v.0.9.2)
試してみたが、録画はできない。できた方います?
音声の録再生機能は mhWaveEdit で、画面も含めたキャプチャは ffconvert でもできるので、どちらも要らないんじゃない?とも思う。

追記: pAVrecordはPC画面をキャプチャするものではなく、ビデオ・キャプチャカードから映像を取り込むもののようです。
最後に編集したユーザー シノバー [ 13/11/15(金) 15:08 ], 累計 2 回
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

YASSM

投稿記事by シノバー » 13/11/14(木) 18:24

Sambaシェアのアプリは3つある。pnethoodは起動のたびにスキャンを行うが、 YASSMはスキャンとマウントを分けている。
このメリットも network_roxapp (/root/netwirk/Network)の登場で影が薄くなった。YASSMは550JPで「その他」扱いになったが、要らないとも思う。
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

Re: ダウンローダ

投稿記事by cygnus_odile » 13/11/14(木) 23:58

ダウンローダ:
いろいろあるんですねぇ。
Puppy Package Manager で利用しているものでなければ、いらないかも。

・・・私は、gFTP でさえ、ほとんど使いません。必要な時は、コンソールにて、ncftp (client) です。
cygnus_odile
 
記事: 665
登録日時: 09/08/16(日) 14:30

Re: pMusicのバージョン

投稿記事by シノバー » 13/11/15(金) 15:31

Precise Puppy 5.5でバージョン 3.30 であったものを、本家版 5.7.1 では pMusic -2.6.7 となっています。
理由は ffmpegのバージョンにあるようです。
pMusic -3.30 は ffmpeg-0.11 以上を要求していますが、Precise Puppy は 0.8.6 (libav版)です。
550JPで問題が出ていないようなら、ここは強引に pMusic -3.30 をインストールすることにしましょうか。
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

Pburn-4.2.0

投稿記事by シノバー » 13/11/15(金) 21:56

最新版 Pburn-4.2.0 を入れると、パッケージマネージャの依存性チェックでは cdrtools が無いと文句を言われますが、pburn自身の依存性チェックは通ります。ビデオをDVDを(DVD-Rに)焼いてみたところ、ちゃんと焼けるようです。
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

Re^2: pMusicのバージョン

投稿記事by cygnus_odile » 13/11/15(金) 23:05

シノバー さんが書きました:550JPで問題が出ていないようなら、ここは強引に pMusic -3.30 をインストールすることにしましょうか。

使い込んでいるわけではありませんが、今のところ、 pMusic -3.30 で大きな不具合はないと思います。
・・・ 5.7.1-retro + lang_pack_ja-1.8.sfs にて、本家フォーラムから落とした pMusic -3.30 をインストールすると、
日本語化されました。ただし、バージョン表示が、2.6.7 のままになってる。
cygnus_odile
 
記事: 665
登録日時: 09/08/16(日) 14:30

Re: NHK-FM, R1, R2 for PupRadio !

投稿記事by cygnus_odile » 13/11/15(金) 23:09

日本のラジオ(NHK-FM, R1,R2)とかを、プリセットする pet を作ってみました。
よろしければお試しください。

・・・こちらにも置きました: pupradio-0.18-preset-ja.pet @google-drive
 
パーミッションが与えられていないため、記事の添付ファイルを見ることができません
cygnus_odile
 
記事: 665
登録日時: 09/08/16(日) 14:30

Re: Pburn-4.2.0

投稿記事by 486HA » 13/11/16(土) 16:35

シノバー さんが書きました:最新版 Pburn-4.2.0 を入れると、パッケージマネージャの依存性チェックでは cdrtools が無いと文句を言われますが、pburn自身の依存性チェックは通ります。ビデオをDVDを(DVD-Rに)焼いてみたところ、ちゃんと焼けるようです。

cdrtoolsが無くても使えますが、念のためにインストールしておきましょう。
https://drive.google.com/?hl=ja#folders/0BxoqlpBAJsQITHpTekp6SEJzSm8
/pmusic-4.2.0-1の中にcdrtools-3.01.petを収めておきます。
pburn-4.2.0.petおよびvcdimager-0.7.24.petもあります。
CORE-i7-6700HQ uEFI ram:8GB
Full: Quirky Xerus-64 8.2
save2dir: Tahr 6.0.6(32/64), Slacko 6.9.9(32/64),Xenialpup 7.0.8.1
Slimjet 15.0.3.0(32/64)
486HA
 
記事: 1142
登録日時: 11/03/06(日) 14:31

次へ

Return to 5.X系

オンラインデータ

このフォーラムを閲覧中のユーザー: なし & ゲスト[1人]